[GRASS-SVN] r30445 - grass/trunk/scripts/v.db.renamecol
svn_grass at osgeo.org
svn_grass at osgeo.org
Mon Mar 3 11:41:25 EST 2008
Author: msieczka
Date: 2008-03-03 11:41:25 -0500 (Mon, 03 Mar 2008)
New Revision: 30445
Modified:
grass/trunk/scripts/v.db.renamecol/v.db.renamecol
Log:
Stripping periods off the messages.
Modified: grass/trunk/scripts/v.db.renamecol/v.db.renamecol
===================================================================
--- grass/trunk/scripts/v.db.renamecol/v.db.renamecol 2008-03-03 15:29:44 UTC (rev 30444)
+++ grass/trunk/scripts/v.db.renamecol/v.db.renamecol 2008-03-03 16:41:25 UTC (rev 30445)
@@ -20,7 +20,7 @@
#%Module
-#% description: Renames a column in a attribute table connected to a given vector map.
+#% description: Renames a column in the attribute table connected to a given vector map.
#% keywords: vector, database, attribute table
#%End
#%option
@@ -47,7 +47,7 @@
#%end
if [ -z "$GISBASE" ] ; then
- echo 'You must be in GRASS GIS to run this program.' >&2
+ echo 'You must be in GRASS GIS to run this program' >&2
exit 1
fi
@@ -66,7 +66,7 @@
#### setup temporary file
TMP="`g.tempfile pid=$$`"
if [ $? -ne 0 ] || [ -z "$TMP" ] ; then
- g.message -e 'Unable to create temporary files.'
+ g.message -e 'Unable to create temporary files'
exit 1
fi
@@ -87,7 +87,7 @@
error()
{
- g.message -e 'Cannot continue (problem renaming column).'
+ g.message -e 'Cannot continue (problem renaming column)'
cleanup
exit 1
}
@@ -98,13 +98,13 @@
# does map exist in CURRENT mapset?
eval `g.findfile element=vector file="$GIS_OPT_MAP" mapset="$MAPSET"`
if [ ! "$file" ] ; then
- g.message -e "Vector map <$GIS_OPT_MAP> not found in current mapset."
+ g.message -e "Vector map <$GIS_OPT_MAP> not found in current mapset"
exit 1
fi
table=`v.db.connect -g map="$GIS_OPT_MAP" | grep -w "$GIS_OPT_LAYER" | cut -f2 -d' '`
if [ -z "$table" ] ; then
- g.message -e 'There is no table connected to the input vector map! Cannot rename any column.'
+ g.message -e 'There is no table connected to the input vector map! Cannot rename any column'
cleanup
exit 1
fi
@@ -121,7 +121,7 @@
# 'echo -n' (output as string, ie with no newline) is apparently not portable.
if [ "$NAMELEN" -gt 11 ] ; then
g.message -e "Column name <$newcol> too long. The DBF driver supports column names\
- not longer than 10 characters."
+ not longer than 10 characters"
cleanup
exit 1
fi
@@ -129,7 +129,7 @@
if [ "$oldcol" = "$keycol" ] ; then
g.message -e "Cannot rename column <$oldcol> as it is needed to keep table <$table>\
- connected to the input vector map."
+ connected to the input vector map"
cleanup
exit 1
fi
@@ -137,7 +137,7 @@
# old col there?
v.info --quiet -c map="$GIS_OPT_MAP" layer=$GIS_OPT_LAYER | cut -d'|' -f1,2 | grep "|${oldcol}$" 2>&1 >/dev/null
if [ $? -ne 0 ] ; then
- g.message -e "Column <$oldcol> not found in table."
+ g.message -e "Column <$oldcol> not found in table"
cleanup
exit 1
fi
More information about the grass-commit
mailing list